Kopano AD Schema Installer for Samba 4 is not compatible with Fedora 30 / Ubuntu 19.04



  • I had to switch to non LTS distros because I ran into a samba bug (?) since the “Attribute Editor” tab is not available through RSAT on Ubuntu 18.04 LTS.
    So I set up a Samba AD on Ubuntu 19.04 and F30 to give samba a try.
    Samba AD works fine, but when I tried to install the Kopano Schema I got an error:

    ./kopano_schema_add.sh dc=myrealm,dc=local ./ -v -H /var/lib/samba/private/sam.ldb -writechanges
    Error: installed version ldbmodify is not supported
    

    I found a similar error to mine in the zarafa forum:
    https://forums.zarafa.com/showthread.php?10298-Centos-6-5-Samba4-Zarafa-Active-Directory-Schema
    I have not tried to use the “quirk” proposed there, because I think it should get a proper fix …


Log in to reply